Summary:	A utility for retrieving files using the HTTP or FTP protocols.
Name:		wget
Group:		Applications/Internet
License:	GPL
Version:	1.10
Release:	2
Source0:	ftp://ftp.gnu.org/gnu/wget/wget-%{version}.tar.gz 
Provides:	webclient
BuildRequires:	perl, openssl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
GNU Wget is a file retrieval utility which can use either the HTTP or
FTP protocols. Wget features include the ability to work in the
background while you are logged out, recursive retrieval of
directories, file name wildcard matching, remote file timestamp
storage and comparison, use of Rest with FTP servers and Range with
HTTP servers to retrieve files over slow or unstable connections,
support for Proxy servers, and configurability.

%files -f %{name}.lang
  %defattr(0444,root,root,0555)
  %doc AUTHORS MAILING-LIST NEWS README PATCHES README.cvs TODO
  %doc %{_mandir}/man1/wget.*
  %doc %{_infodir}/wget.info*
  %attr(0644,root,root)		%config(noreplace) %{_sysconfdir}/wgetrc
  %attr(0511,root,root)		%{_bindir}/wget

%prep
%setup -q

%build
  %configure --with-ssl
  make %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  %makeinstall

  %find_lang %{name}

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Jul 08 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.10, Release 2
  - Rebuild against openssl-0.9.8.

* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.10, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
